package de.meinefirma.meinprojekt;

import java.io.File;
import java.util.jar.*;

public class App
{
   public static void main( String[] args ) throws Exception
   {
      System.out.println( "\nManifest-Attribute:\n" + getJarManifestAttributes( App.class ).entrySet() );
   }

   public static Attributes getJarManifestAttributes( Class<?> clazz ) throws Exception
   {
      JarFile jarFile = new JarFile( new File( clazz.getProtectionDomain().getCodeSource().getLocation().toURI() ) );
      Manifest manifest = jarFile.getManifest();
      jarFile.close();
      return manifest.getMainAttributes();
   }
}
